All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::gpu::BlockMerge< NumThreads, K, V, N, L, Dir, Comp, SmallerThanBlock, FullMerge > Struct Template Reference

## Detailed Description

### template<int NumThreads, typename K, typename V, int N, int L, bool Dir, typename Comp, bool SmallerThanBlock, bool FullMerge>
struct faiss::gpu::BlockMerge< NumThreads, K, V, N, L, Dir, Comp, SmallerThanBlock, FullMerge >

Class template to prevent static_assert from firing for mixing smaller/larger than block cases

Definition at line 156 of file MergeNetworkBlock.cuh.

The documentation for this struct was generated from the following file:

- /data/users/matthijs/github_faiss/faiss/gpu/utils/MergeNetworkBlock.cuh